<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a id="index_r"></a>- r -</h3><ul>
<li>read()
: <a class="el" href="classESP32CPP_1_1GPIO.html#add68250ce86665c502405a353ef1c870">ESP32CPP::GPIO</a>
, <a class="el" href="classI2C.html#ac81d33d8192945eb2caa210ae5055851">I2C</a>
, <a class="el" href="classPCF8574.html#a90a8a8c48e0530c7371dacabc1f6a282">PCF8574</a>
, <a class="el" href="classPCF8575.html#ad8f7990aa6a3bc18e65b21818ca9f711">PCF8575</a>
</li>
<li>readAccel()
: <a class="el" href="classMPU6050.html#ad4e58ad436a52f96e7172e7081fe9afb">MPU6050</a>
</li>
<li>readBit()
: <a class="el" href="classPCF8574.html#a4e484981cdf6451bb36a13f9d3a60400">PCF8574</a>
, <a class="el" href="classPCF8575.html#a9d6da65bfa0a804b677fb2f728347380">PCF8575</a>
</li>
<li>readGyro()
: <a class="el" href="classMPU6050.html#a2514ae2158f5b87c8267242077ddd0ec">MPU6050</a>
</li>
<li>receive()
: <a class="el" href="classRingbuffer.html#a2de1d3d2c869875883b351e66212dfef">Ringbuffer</a>
, <a class="el" href="classSocket.html#abeb5751e47f3fa96755aba55d29c300a">Socket</a>
</li>
<li>receiveData()
: <a class="el" href="classSockServ.html#a9e4e21eb4e94912fd403a7e3dcbdb54c">SockServ</a>
</li>
<li>receiveFrom()
: <a class="el" href="classSocket.html#afc27706410db610051b84cb3c969daa3">Socket</a>
</li>
<li>red
: <a class="el" href="structpixel__t.html#a912496dc782ecc3cea2f89eb79b7c9a0">pixel_t</a>
</li>
<li>remove()
: <a class="el" href="classFileSystem.html#a9dbe34309a1663db28419a65cf8850fc">FileSystem</a>
</li>
<li>reset()
: <a class="el" href="classFreeRTOSTimer.html#ae1f243c23d6d6edece568fe0e9de0209">FreeRTOSTimer</a>
, <a class="el" href="classOV7670.html#a7148b44da5949ae39468c8c31cf6092f">OV7670</a>
</li>
<li>restart()
: <a class="el" href="classSystem.html#a41237d182fff760ea31f960b8d3bf343">System</a>
</li>
<li>returnItem()
: <a class="el" href="classRingbuffer.html#a145b135c71d2e715f13bdbe186e45cc6">Ringbuffer</a>
</li>
<li>Ringbuffer()
: <a class="el" href="classRingbuffer.html#a32e23dca7a30bc6d1d4b5c10ecbfbc52">Ringbuffer</a>
</li>
<li>RMT()
: <a class="el" href="classRMT.html#ab4e0f3b8ff01d7604d0bc52bc44c590f">RMT</a>
</li>
<li>run()
: <a class="el" href="classTask.html#a399f60ad8cd91d34dba2de57b4ac6d65">Task</a>
</li>
<li>rxStart()
: <a class="el" href="classRMT.html#af1b130bf271e12117511f75f6e08fcea">RMT</a>
</li>
<li>rxStop()
: <a class="el" href="classRMT.html#a0f3abda595084f39bc5a524b468feeab">RMT</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
